#!/bin/sh

echo "$0: Analysing PHP scripts for syntax errors (lint) ..."
LINT=`find -type f -name "*.php" -exec php -l -f {} 2>&1 \; | grep -v "No syntax errors detected in"`

if test "${LINT}" != ""; then
	echo "${LINT}"
else
	echo "$0: No syntax errors found."
fi
